import java.awt.image.BufferedImage;
import java.awt.image.RescaleOp;

// ImageBrightnessAdjust Class (process image brightness adjustment)
public class ImageBrightnessAdjust extends ImageProcessor {
	private float factor = 1.5f; // brightness factor

	// constructor
    public ImageBrightnessAdjust(String inputFile, float factor) {
    	super(inputFile);
    	this.mode =  ImageMode.BRIGHTNESS_ADJUST;
        this.factor = factor;
		System.out.println("BrightnessAdjustPhoto");
    }

	public ImageBrightnessAdjust(Photo photo, float factor) {
    	super(photo);
    	this.mode =  ImageMode.BRIGHTNESS_ADJUST;
        this.factor = factor;
		System.out.println("BrightnessAdjustPhoto");
    }

	public ImageBrightnessAdjust(String inputFile) {
		this(inputFile, 1.3f);
	}

	public ImageBrightnessAdjust(Photo photo) {
		this(photo, 1.3f);
	}

	// get/set

	// ImageProcessor.getAdditionalUserInput() method override

	// ImageProcessor.getProcessedImage() method override

 	// brighten image (brighten the image by 30% => scaleFactor = 1.3f)
	// darken image (darken the image by 90% => scaleFactor = 0.9f) 90% darken
	public static BufferedImage brightnessAdjust(BufferedImage image, float factor) {
		if (image == null) return null;
		BufferedImage newImage = new BufferedImage(image.getWidth(), image.getHeight(), image.getType());
		RescaleOp op = new RescaleOp(factor, 0, null);
		newImage = op.filter(image, null);
		return newImage;
	}

}
