import java.awt.image.BufferedImage;

//ImageProcessor Abstract Class (process Photo image by ImageMode)
public abstract class ImageProcessor {
	private Photo photo = null;
	protected ImageMode mode = null;
	
	// constructor
	protected ImageProcessor(String inputFile) {
		this.photo = new Photo(inputFile);
	}

	// constructor
	protected ImageProcessor(Photo photo) {
	    this.photo = photo;
	}

	// get original image
    public BufferedImage getImg() {
	    if (photo != null) 
	    	return photo.getImg();
	    else 
	    	return null;
    }
	
    // get image mode
	public ImageMode getImageMode() {
		return this.mode;
	}

	// get format
	public String getFormat() {
	    if (photo != null) 
	    	return this.photo.getFormat();
	    else
	    	return null;
	}

    // get processedImage abstract method (convert, resize, rotate, grayscale, blur, adjust, etc)
    public abstract BufferedImage getProcessedImg();

    // get additional user input abstract method
    public abstract void getAdditionalUserInput();		
}
