import java.util.Scanner;

public class UserInput {
	
	// user input
	static Scanner scan = new Scanner(System.in);

	public static String getString(String description)	{
		System.out.print(description);
		String line = scan.nextLine();
		return line;
	}
	
	static public int getInteger(String description) {
		System.out.print(description);
		int value;
		while(true) {
			String line = scan.nextLine();
			try {
				value = Integer.parseInt(line);
				break;
			}
			catch (Exception e) {
				System.out.print("Error! Please enter [int value]: ");
			}
		}
		return value;
	}
	
	static public float getFloat(String description) {
		System.out.print(description);
		float value;
		while(true) {
			String line = scan.nextLine();
			try {
				value = Float.parseFloat(line);
				break;
			}
			catch (Exception e) {
				System.out.print("Error! Please enter [float value]: ");
			}
		}
		return value;
	}

	public static ImageMode getImageMode(String description) {
		String command = getString(description); //"Please enter ImageMode [1.RESIZE 2.ROTATE 3.GRAYSCALE 4.BLUR 5.BRIGHTNESS_ADJUST]: ");
		return ImageMode.modeOf(command);
	}
	
	public static ConvertMode getConvertMode(String description) {
		String command = getString(description); //"Please enter ConvertMode [1.TO_JPG 2.TO_PNG 3.TO_GIF]: ");
		return ConvertMode.modeOf(command);
	}
	
	public static boolean getExitKey() {
		System.out.print("Press q-key to exit the program or enter-key to start the program: ");
		String s = scan.nextLine();
        if (s.contentEquals("q"))
            return true;
        else
        	return false;
	}
}
